Summary:	KTTS - KDE Text-to-Speech
Name:		jovie
Version:	17.04.3
Release:	1
Epoch:		2
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	speech-dispatcher-devel
Obsoletes:	jovie-devel < 2:16.08.2

%description
Jovie is a subsystem within the KDE desktop for
conversion of text to audible speech. Jovie is currently under development
and aims to become the standard subsystem for all KDE applications
to provide speech output.
User Features:
 * Speak any text from the KDE clipboard.
 * Speak any plain text file.
 * Speak all or any portion of a text file from Kate.
 * Speak all or any portion of an HTML page from Konqueror.
 * Use as the speech backend for KMouth and KSayIt.
 * Speak KDE notifications (KNotify).
 * Long text is parsed into sentences. User may backup by sentence or
    paragraph, replay, pause, and stop playing.
 * Audio output via GStreamer (version 0.8.7 or later)

%files
%doc %{_kde_docdir}/HTML/en/jovie
%{_kde_bindir}/jovie
%{_kde_applicationsdir}/org.kde.jovie.desktop
%{_kde_libdir}/kde4/kcm_kttsd.so
%{_kde_libdir}/kde4/jovie_stringreplacerplugin.so
%{_kde_libdir}/kde4/jovie_talkerchooserplugin.so
%{_kde_libdir}/kde4/jovie_xmltransformerplugin.so
%{_kde_appsdir}/jovie
%{_kde_iconsdir}/*/*/actions/female.png
%{_kde_iconsdir}/*/*/actions/male.png
%{_kde_iconsdir}/*/*/actions/nospeak.png
%{_kde_iconsdir}/*/*/actions/speak.png
%{_kde_services}/jovie.desktop
%{_kde_services}/jovie_stringreplacerplugin.desktop
%{_kde_services}/jovie_talkerchooserplugin.desktop
%{_kde_services}/jovie_xmltransformerplugin.desktop
%{_kde_services}/kcmkttsd.desktop
%{_kde_services}/kttsd.desktop
%{_kde_servicetypes}/jovie_filterplugin.desktop
%{_appdatadir}/org.kde.jovie.appdata.xml

#----------------------------------------------------------------------------

%define kttsd_major 4
%define libkttsd %mklibname kttsd %{kttsd_major}

%package -n %{libkttsd}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkttsd}
KDE 4 library.

%files -n %{libkttsd}
%{_kde_libdir}/libkttsd.so.%{kttsd_major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

rm -rf %{buildroot}%{_kde_libdir}/libkttsd.so

%changelog

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (d34b9a4) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (a4b089c) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (3d54c13) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (61e4dbe) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (c8a6ea9) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (9ce9694) Update files
- (Andrey Bondrov: c444d99) New version 16.12.1

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (0f601d5) Don't use _appdatadir macro
- (Andrey Bondrov: 8baa651) New version 16.08.2
- (Andrey Bondrov: 8baa651) Drop useless development package
- (Andrey Bondrov: 8baa651) Add appdata file

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-2
- (bf1c82f) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (9dc3d86) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (6a137c0) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (0a14f19) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (a309665) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (76c022d) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (091f2c8) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (f717af6) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (a168444) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (a96c2c9) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (b978f84) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (cebc0d4) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (45df7da) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (535e81f) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.4-1
- (130541b) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.3-1
- (1dad7d8) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.2-1
- (1c810d8) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.1-1
- (1a4bea4) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.0-1
- (9af390d) New version 4.9.0

* Thu Jul 19 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.8.97-1
- (bb5e92e) New version 4.8.97

* Tue Jul 03 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.8.95-1
- (dc9c307) New version 4.8.95, use epoch 2, add Obsoletes


